
from pydantic import BaseModel

from million.model.message import Message
import million.analyze.message_evaluation as msg_ev


class Sequence(BaseModel):
    start_message: Message
    end_message: Message | None

    def start(self) -> int:
        return msg_ev.compute(self.start_message)
    
    def end(self) -> int:
        return msg_ev.compute(self.end_message)